/* ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Flash Killer.
 *
 * The Initial Developer of the Original Code is
 * Nicolas Martin <joliclic@gmail.com>.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *  Adam Nellis <adam.nellis@gmail.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 * 
 * ***** END LICENSE BLOCK ***** */

const Cc = Components.classes;
const Ci = Components.interfaces;

const HOMEPAGE = "http://joliclic.free.fr/mozilla/flashkiller";
const ADAM_HOMEPAGE = "http://adam-nellis.110mb.com";


const PREFS = Cc["@mozilla.org/preferences-service;1"]
              .getService(Ci.nsIPrefService)
              .getBranch("extensions.flashkiller.");

function saveOptions() {
  PREFS.setBoolPref("contextmenu", document.getElementById("prefcontextmenu").checked);
  PREFS.setBoolPref("toolmenu", document.getElementById("preftoolmenu").checked);
  PREFS.setBoolPref("statusbar", document.getElementById("prefstatusbar").checked);
}
 
function loadOptions() {
  document.getElementById("prefcontextmenu").checked = PREFS.getBoolPref("contextmenu");
  document.getElementById("preftoolmenu").checked = PREFS.getBoolPref("toolmenu");
  document.getElementById("prefstatusbar").checked = PREFS.getBoolPref("statusbar");
}

window.addEventListener("load", init, false);

function init() {
  loadOptions();
  document.getElementById("aboutVersion")
          .appendChild(document.createTextNode(currentVersion()));
}

function openUrl(url) {
  var nsIWM = Cc["@mozilla.org/appshell/window-mediator;1"]
              .getService(Ci.nsIWindowMediator);
  var myWindow = nsIWM.getMostRecentWindow("navigator:browser");
  
  if (myWindow) {
    var newTab = myWindow.getBrowser().addTab(url);
    myWindow.getBrowser().selectedTab = newTab;
    //myWindow.content.focus();
  } else {
    window.opener.open(url);
  }
  window.self.focus();
}



function currentVersion() {
  var myGUID = "flashkiller@joli.clic";
  var nsIEM = Cc["@mozilla.org/extensions/manager;1"]
              .getService(Ci.nsIExtensionManager);
  var myItem = nsIEM.getItemForID(myGUID);
  
  return myItem.version;
}
